Name:		xorriso
Version:	1.1.0.pl01
Release:	1
Summary:	ISO 9660 image manipulation tool
Group:		Applications/Archiving
License:	GPLv2 and GPL+ and LGPLv2+
URL:		http://www.gnu.org/software/xorriso/
Source0:	ftp://ftp.gnu.org/pub/gnu/%{name}-%{version}.tar.gz
Source1:	ftp://ftp.gnu.org/pub/gnu/%{name}-%{version}.tar.gz.sig
Patch0:		%{name}-%{version}-aix.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	bzip2
BuildRequires:	readline-devel >= 5.2-3
BuildRequires:	zlib-devel

Requires:	bzip2
Requires:	readline >= 5.2-3
Requires:	zlib

%description
xorriso is a program which maps file objects from POSIX compliant
filesystems into Rock Ridge enhanced ISO 9660 filesystems and allows
session-wise manipulation of such filesystems. It can load the management
information of existing ISO images and it writes the session results to
optical media or to filesystem objects. Vice versa xorriso is able to 
restore file objects from ISO 9660 filesystems.


%prep
%setup -q -n %{name}-1.1.0
%patch0


%build
export CC="xlc -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGE_FILES"

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir}

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

gzip --best ${RPM_BUILD_ROOT}%{_infodir}/*.info
rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir 2>/dev/null || :


%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz \
        %{_infodir}/dir 2>/dev/null || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS CONTRIBUTORS COPYING COPYRIGHT README doc 
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/%{name}.info.gz
/usr/bin/*


%changelog
* Sun Jun 19 2011 Michael Perzl <michael@perzl.org> - 1.1.0-1
- updated to version 1.1.0

* Thu Apr 14 2011 Michael Perzl <michael@perzl.org> - 1.0.8-1
- updated to version 1.0.8

* Sun Apr 10 2011 Michael Perzl <michael@perzl.org> - 1.0.6-1
- updated to version 1.0.6

* Thu Mar 10 2011 Michael Perzl <michael@perzl.org> - 1.0.4-1
- updated to version 1.0.4

* Fri Feb 25 2011 Michael Perzl <michael@perzl.org> - 1.0.2-1
- updated to version 1.0.2

* Mon Jan 31 2011 Michael Perzl <michael@perzl.org> - 1.0.0-1
- first version for AIX V5.1 and higher
